Skip to main content
GET
An account's receivers, deposits and withdrawals

Path Parameters

account
string
required

A NEAR account, an EVM address or a base58 32-byte key.

Response

The account.

intent_account
string
required

The account, normalized.

deposit_hash
string
required

The receiver deposits carry: base58 of sha256 of the DepositCallArgs JSON.

Pattern: ^[1-9A-HJ-NP-Za-km-z]+$
legacy_hash
string
required

The receiver old deposits carry: base58 of sha256("intents.near" ‖ msg).

Pattern: ^[1-9A-HJ-NP-Za-km-z]+$
registered
boolean
required

Whether the account's receivers are kept.

deposits
object[]
required

The latest 50, newest first.

withdrawals
object[]
required

The latest 50, newest first.